#ifndef GAME_H
#define GAME_H

#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Window/Event.hpp>

class Game
{
public:
    virtual ~Game() = default;

    virtual void run() = 0;

    virtual void input(const sf::Event& event) = 0;
    virtual void update() = 0;
    virtual void draw(sf::RenderWindow& window) const = 0;
};

#endif // GAME_H
